require 'rails/generators'
require 'rails/generators/active_record'

class AuditsInstallGenerator < Rails::Generators::Base
	include ::Rails::Generators::Migration
  source_root File.expand_path('../templates', __FILE__)
  argument :user_class_name, :type => :string, :default => "user"

  def create_migration_file
  	migration_template 'create_changes.rb', 'db/migrate/create_changes.rb'
  end

  def copy_change_class
    @user_class = user_class_name.downcase
  	template 'change.txt', 'app/models/change.rb'
  end

  def copy_audits_code
    @user_class = user_class_name.downcase
    template 'audits.txt', 'config/initializers/audits.rb'
  end

  def self.next_migration_number(dirname)
  	::ActiveRecord::Generators::Base.next_migration_number(dirname)
  end
end